import { Environment } from './environment';
import { AppsResource } from './resource/apps';
import { MonitoringResource } from './resource/monitoring';
import { PackageResource } from './resource/package';
import { SnapshotsResource } from './resource/snapshot';
import { SourceMapResource } from './resource/sourcemaps';
import { User, UserResource } from './resource/user';
export interface ClientResources {
    apps: AppsResource;
    monitoring: MonitoringResource;
    snapshots: SnapshotsResource;
    packages: PackageResource;
    sourcemaps: SourceMapResource;
    user: UserResource;
}
export declare class ProClient {
    private api;
    env: Environment;
    resource: ClientResources;
    user: User;
    constructor(cfg?: Environment);
    getUserToken(): string;
    setUserToken(token: string): void;
    login(email: string, password: string): Promise<User>;
}
